#!/usr/bin/perl

use constant {
	DB_TYPE						=> "mysql",		# dbi database type (only MySQL is
												# supported currently, due to the
												# fact that "LIMIT X,X" is used
												
	DB_NAME						=> "kwotes",	# database name
	
	DB_HOST						=> "localhost",	# database host
	
	DB_USER						=> "kwotes",	# database user
	
	DB_PASS						=> "kw0tes",	# database password
	
	MAX_VOTES_PER_IP			=>	4,			# maximum votes per ip address per
												# VOTE_TTL seconds.
	
	MAX_KWOTES_PER_IP			=>  5,			# maximum kwotes allowed per ip
												# in SECS_BETWEEN_KWOTES
												
	SECS_BETWEEN_KWOTES			=>	60*60,		# seconds a user must wait after
												# submitting MAX_KWOTES_PER_IP
												# kwotes to the system before they
												# are allowed to submit another
												# kwote
												
	NEGATIVE_KWOTE_TTL			=> (60*60)*24,	# seconds before a negative rated
												# quote is moved to the kwote
												# backup table and deleted
												
	VOTE_TTL					=> (60*60)*24	# seconds a vot log lasts, the vote
												# log is the mechanism that keeps
												# people from voting over and over
};

1;

